Pagerank algorithm in C.

## build
```
make
```

## usage
Matrix market format can be used with ".mtx" at the end of the input file. Rutherford Boeing format can only be used if the arcs have an explicit value (not an implicit 0 or 1), input file then needs to end in ".rb".  

Run binary for a single comparison:
```
./out/pagerank --matrix <path> --epsilon <value> --alpha <value>
```


Python script to generate graphs with matplotlib to compare the Gauß Seidel and power method for pagerank
```
usage: main.py [-h] [--alpha ALPHA] [--max_alpha MAX_ALPHA] [--epsilon EPSILON] [--matrix MATRIX]

Pagerank vs Gauß Seidel execution time depending on α

options:
  -h, --help            show this help message and exit
  --alpha ALPHA         number of alpha to test in the range (0,1)
  --max_alpha MAX_ALPHA
                        stay strictly below this alpha
  --epsilon EPSILON     epsilon value for the convergence
  --matrix MATRIX       path to the matrix file
```
